API Reference
Auto-generated
Defaults
API reference for defaults endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/defaults/{product}
GET
/api/v1/defaults/{product}Get Defaults
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| product | "scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research" | Required | product |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/defaults/<product> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"product": "example",
"defaults": "example",
"updated_at": "example"
}PUT /api/v1/defaults/{product}
PUT
/api/v1/defaults/{product}Put Defaults
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| product | "scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research" | Required | product |
| X-Organization-Id | string | Optional | X-Organization-Id |
| formats | string[] | Optional | formats |
| tier_cap | integer | Optional | tier_cap |
| proxy_country | string | Optional | proxy_country |
| webhook_url | string | Optional | webhook_url |
| export_target | string | Optional | export_target |
| byok_model | string | Optional | byok_model |
| byok_provider | string | Optional | byok_provider |
| cache_ttl | integer | Optional | cache_ttl |
| default_schema | object | Optional | default_schema |
| country | string | Optional | country |
| language | string | Optional | language |
| include_domains | string[] | Optional | include_domains |
| exclude_domains | string[] | Optional | exclude_domains |
| rerank_rules | object[] | Optional | rerank_rules |
| effort | "lite" | "standard" | "deep" | "exhaustive" | "frontier" | Optional | effort |
| max_cost_microcents | integer | Optional | max_cost_microcents |
| citation_format | "numbered" | "mla" | "apa" | "chicago" | Optional | citation_format |
Request Example
Bash
curl -X PUT https://api.alterlab.io/api/v1/defaults/<product> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"product": "example",
"defaults": "example",
"updated_at": "example"
}DELETE /api/v1/defaults/{product}
DELETE
/api/v1/defaults/{product}Delete Defaults
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| product | "scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research" | Required | product |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X DELETE https://api.alterlab.io/api/v1/defaults/<product> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}